Package de.gebit.integrity.runner.callbacks.xml

## Enum TransformHandling

- java.lang.Object
- - java.lang.Enum<TransformHandling>
  - - de.gebit.integrity.runner.callbacks.xml.TransformHandling

- All Implemented Interfaces:
    `Serializable`, `Comparable<TransformHandling>`

      public enum TransformHandling
      extends Enum<TransformHandling>

  Enumerating the various ways in which the test runner can handle the supported transformation of the XML results into a human-viewable HTML form.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EMBED_TRANSFORM` | The XSLT transformation script that transforms the XML result data into a viewable HTML document shall be embedded into the result.
    `EXECUTE_TRANSFORM` | The XSLT transformation script that transforms the XML result data into a viewable HTML document shall be directly executed on the result.
    `NO_TRANSFORM` | Just keep the plain XML.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TransformHandling` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TransformHandling[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_TRANSFORM

          public static final TransformHandling NO_TRANSFORM

      Just keep the plain XML.

    - #### EMBED_TRANSFORM

          public static final TransformHandling EMBED_TRANSFORM

      The XSLT transformation script that transforms the XML result data into a viewable HTML document shall be embedded into the result.

    - #### EXECUTE_TRANSFORM

          public static final TransformHandling EXECUTE_TRANSFORM

      The XSLT transformation script that transforms the XML result data into a viewable HTML document shall be directly executed on the result. The resulting HTML document will still contain the complete, raw XML data tree in an invisible element, since it's required by some of the Javascript elements of the document, and because the "single result file with all information" concept requires this.

  - ### Method Detail

    - #### values

          public static TransformHandling[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransformHandling c : TransformHandling.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransformHandling valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null